<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php wp_head(); ?>
</head>
<body <?php is_singular()?body_class():body_class( 'split' ); ?>>
	<header<?php if ( get_header_image() ) {
		?> style="background-image:url('<?php echo esc_html( get_header_image() ); ?>');"<?php
	} ?>>
	<?php if ( has_nav_menu( 'header-menu' ) ) { ?>
		<nav id="header-menu" role="menu">
			<div id="toggle-header-menu" class="toggle">+</div>
			<?php wp_nav_menu( array( 'theme_location' => 'header-menu' ) ); ?>
		</nav>
		<?php
	} else {
		echo '<div class="spacer"></div>';
	} ?>
	<div id="branding">
		<?php if ( has_custom_logo() ) {
			?>
			<div id="logo">
				<a href="<?php echo esc_html( home_url() ); ?>" class="custom-logo-link" rel="home" itemprop="url"><img width="46" height="46" src="<?php echo wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'basique-logo' )[0]; ?>" class="custom-logo" alt="" itemprop="logo" ></a>
				</div>
				<?php
			} else {
				?>
				<h1 id="site-title" class="site-title"><a href="<?php echo esc_html( home_url() ); ?>" title="<?php echo esc_html( get_bloginfo( 'name' ) ); ?>" rel="home"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a></h1>
				<?php
			}?>
		</div>
		<?php if ( is_active_sidebar( 'header-widget-area' ) ) {
			?>
			<div id="header-widget">
				<div id="toggle-header-widget" class="toggle">&#8285;</div>
				<div id="header-widget-container"  class="widget-area">
					<?php dynamic_sidebar( 'header-widget-area' ); ?>
				</div>
			</div>
			<?php
		} else {
			echo '<div class="spacer"></div>';
		} ?>

	</header>
	<main>
		<div id="content">
