<?php while ( have_posts() ) : the_post();
$at = is_attachment();
if ( $at ) {
	global $post;
} ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-header">
		<?php if ( is_singular() ) {
			if ( $at ) {
				if ( wp_attachment_is_image( $post->ID ) ) {
					$att_image = wp_get_attachment_image_src( $post->ID, "basique-large" ); ?>
					<div class="post-attachment">
						<img src="<?php echo $att_image[0]; ?>" width="<?php echo $att_image[1]; ?>" height="<?php echo $att_image[2]; ?>" class="attachment-medium" alt="<?php $post->post_excerpt; ?>" />
					</div>
				<?php }
			} elseif ( has_post_thumbnail() ) { ?>
				<div class="post-attachment">
					<?php echo the_post_thumbnail( 'basique-large' ); ?>
				</div>
			<?php }
		} else { ?>
			<div class="post-attachment">
				<?php if ( has_post_thumbnail() ) { ?>
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php echo the_post_thumbnail( 'basique-content' ); ?></a>
					<?php
				} else { ?>
					<a class="no-thumbnail" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><img src="<?php echo get_template_directory_uri() . '/assets/m/placeholder.png' ?>" /></a>
				<?php } ?>
			</div>
		<?php } ?>
		<?php if ( !is_front_page() || in_the_loop() ) { ?>
			<div class="post-info">
				<?php if ( is_sticky() ) { ?>
					<div class="post-add">
						<div class="post-sticky">
							<?php _e( 'highlight', 'basique' ) ?>
						</div>
					</div>
				<?php } ?>
				<h1 class="post-title">
					<?php if ( is_singular() ) {
						the_title();
					} else { ?>
						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a>
					<?php } ?>
				</h1>
				<?php if ( !is_page() || is_user_logged_in() ) { ?>
				<div class="post-meta">
					<?php if ( $at && $post->post_parent ) { ?>
						<span class="post-parent">
							<a href="<?php echo get_permalink( $post->post_parent ); ?>" title="<?php printf( __( 'Return to %s', 'basique' ), esc_html( get_the_title( $post->post_parent ), 1 ) ); ?>" class="return-link" rev="attachment">&larr; <?php echo get_the_title( $post->post_parent ); ?></a>
						</span>
					<?php } ?>
					<span class="post-date"><?php the_time( 'j . n . y' ); ?></span>
					<span class="post-author"><?php the_author_posts_link(); ?></span>
					<?php if ( get_the_category_list() ) { ?>
						<span class="post-cats"><?php _e( '', 'basique' ); ?><?php the_category( ' &bull; ' ); ?></span>
					<?php }
					if ( get_the_tag_list() && is_singular() ) { ?>
						<span class="post-tags"><?php _e( '', 'basique' ); ?><?php the_tags( '', ' &bull; ' ); ?></span>
					<?php }
					edit_post_link( 'Edit', '<span class="edit">', '</span>' ); ?>
				</div>
			<?php } ?>
			</div>
		<?php } ?>
	</div>

	<?php if ( is_singular() ) {
		if ( $at && !empty( $post->post_excerpt ) ) { ?>
			<div class="post-summary">
				<?php the_excerpt(); ?>
			</div>
		<?php } ?>
		<div class="post-content">
			<?php the_content();
			wp_link_pages(array(
			'before'    => '<div id="post-pagination" class="pagination"><div class="button">',
			'after'     => '</div></div>',
			'next_or_number' => 'next',
			'nextpagelink' => 'next page &rarr;',
			'previouspagelink' => '&larr; previous page',
			'separator' => '</div><div class="button">'
		)); ?>
	</div>
	<div class="post-footer">
		<?php if ( is_singular() ) {
			if ( ! post_password_required() ) {
				comments_template( '', true );
			}
			if ( !is_page() && !is_front_page() ) { ?>
				<nav id="pagination" class="pagination" role="navigation">
					<?php if ( $at ) { ?>
						<div class="nav-previous button"><?php previous_image_link( false, '&larr; previous image' ); ?></div>
						<div class="nav-next button"><?php next_image_link( false, 'next image &rarr;' ); ?></div>
					<?php } else { ?>
						<?php previous_post_link( '<div class="nav-previous button">%link</div>', '<span class="meta-nav">&larr;</span> %title' ); ?>
						<?php next_post_link( '<div class="nav-next button">%link</div>', '%title <span class="meta-nav">&rarr;</span>' );
					} ?>
				</nav>
			<?php }
		} ?>
	</div>
<?php } ?>
</article>
<?php endwhile;
global $wp_query; if ( $wp_query->max_num_pages > 1 ) { ?>
	<nav id="pagination" class="pagination" role="navigation">
		<?php if ( get_next_posts_link() ) { ?>
			<div class="nav-previous button">
				<?php next_posts_link( sprintf( __( '%s older', 'basique' ), '&larr;' ) ) ?>
			</div>
		<?php }
		if ( get_previous_posts_link() ) { ?>
			<div class="nav-next button">
				<?php previous_posts_link( sprintf( __( 'newer %s', 'basique' ),  '&rarr;' ) ) ?>
			</div>
		<?php } ?>
	</nav>
<?php } ?>
